#Created by Muhammad Naveed Khan and Naqash Zafar on May 3, 2019
Feature: Premium License Invoice - Italy

  Background: 
    Given User access to Italy store
    And I Close Cookie 
    
 @TCIDSanity @TCIDItaly @TCIDBusinessLicense @TCIDBusinessLicenseBasic
  Scenario: Verify purchase Premium license of Team Viewer for Italy
    When I Click on Premium License Button
    Then I Click on Next button
	And I enter Italy data
 	And I select invoice as payment method
 	And I select check box
 	And Validating the Calculations
 	And I Place Order
 	And I verify Order Placement
 	
 	 @TCIDSanity @TCIDItaly @TCIDBusinessLicense @TCIDBusinessLicenseAddOns
  Scenario: Verify purchase Premium license of Team Viewer for Italy
    When I Click on Premium License Button
    And I add All Premium/Corporate License AddOns
    Then I Click on Next button
	And I enter Italy data
 	And I select invoice as payment method
 	And I select check box
 	And Validating the Calculations
 	And I Place Order
 	And I verify Order Placement
 	
 	
 	@TCIDSanity @TCIDItalyVAT @TCIDBusinessLicense @TCIDBusinessLicenseBasic
  Scenario: Verify purchase Premium license of Team Viewer for Italy using VAT
    When I Click on Premium License Button
    Then I Click on Next button
     And I enter Italy VAT
	And I enter Italy data
 	And I select invoice as payment method
 	And I select check box
 	And Validating the Calculations
 	And I Place Order
 	And I verify Order Placement
 	
 	 @TCIDSanity @TCIDItalyVAT @TCIDBusinessLicense @TCIDBusinessLicenseAddOns
  Scenario: Verify purchase Premium license of Team Viewer for Italy using VAT
    When I Click on Premium License Button
    And I add All Premium/Corporate License AddOns
    Then I Click on Next button
     And I enter Italy VAT
	And I enter Italy data
 	And I select invoice as payment method
 	And I select check box
 	And Validating the Calculations
 	And I Place Order
 	And I verify Order Placement